Ticket #246 (closed defect: fixed)

Opened 9 years ago

Last modified 9 years ago

Diff for using Maia with PHP5

Reported by: rob@… Owned by: rjl
Priority: normal Milestone:
Component: PHP scripts Version: 1.0.0 RC5
Severity: blocker Keywords: Old globals not defined in PHP5
Cc:

Description

diff -u -x config.php maia/attachment-quarantine.php maia.sterenborg.info/attachment-quarantine.php
--- maia/attachment-quarantine.php	2004-07-05 05:29:36.000000000 +0200
+++ maia.sterenborg.info/attachment-quarantine.php	2005-10-21 22:42:16.000000000 +0200
@@ -94,8 +94,8 @@
         exit;
     }
 
-    if (isset($HTTP_GET_VARS["sort"])) {
-        $sort = strtoupper(trim($HTTP_GET_VARS["sort"]));
+    if (isset($_GET["sort"])) {
+        $sort = strtoupper(trim($_GET["sort"]));
         if (strlen($sort) == 2) {
             switch($sort[0]) {
                 case "D":
@@ -116,13 +116,13 @@
         }
     }
 
-    if (isset($HTTP_GET_VARS["offset"])) {
-        $offset = $HTTP_GET_VARS["offset"];
+    if (isset($_GET["offset"])) {
+        $offset = $_GET["offset"];
     } else {
         $offset = 0;
     }
 
-    foreach($HTTP_POST_VARS as $varname => $value) {
+    foreach($_POST as $varname => $value) {
         $formVars[$varname] = trim($value);
     }
 
@@ -169,7 +169,7 @@
               "AND maia_mail_recipients.recipient_id = ? " .
               "ORDER BY maia_mail." . $sort_column . " " . $sort_order;
 
-    if (isset($HTTP_POST_VARS["confirm"])) {
+    if (isset($_POST["confirm"])) {
     	$message = "";
     	$rescued = 0;
     	$deleted = 0;
diff -u -x config.php maia/confirmspam.php maia.sterenborg.info/confirmspam.php
--- maia/confirmspam.php	2004-01-21 16:54:42.000000000 +0100
+++ maia.sterenborg.info/confirmspam.php	2005-10-21 22:42:31.000000000 +0200
@@ -84,7 +84,7 @@
     require_once ("./locale/$display_language/confirmspam.php");
 
     // Register the GET variables.
-    $mail_id = trim($HTTP_GET_VARS["id"]);
+    $mail_id = trim($_GET["id"]);
 
     confirm_spam($euid, $mail_id);
 
diff -u -x config.php maia/deleteitem.php maia.sterenborg.info/deleteitem.php
--- maia/deleteitem.php	2004-01-21 16:54:42.000000000 +0100
+++ maia.sterenborg.info/deleteitem.php	2005-10-21 22:42:48.000000000 +0200
@@ -84,7 +84,7 @@
     require_once ("./locale/$display_language/deleteitem.php");
 
     // Register the GET variables.
-    $mail_id = trim($HTTP_GET_VARS["id"]);
+    $mail_id = trim($_GET["id"]);
 
     delete_mail_reference($euid, $mail_id);
     update_mail_stats($euid, "suspected_spam");
diff -u -x config.php maia/deliver.php maia.sterenborg.info/deliver.php
--- maia/deliver.php	2004-01-23 08:14:12.000000000 +0100
+++ maia.sterenborg.info/deliver.php	2005-10-21 22:47:35.000000000 +0200
@@ -86,8 +86,8 @@
     require_once ("./locale/$display_language/deliver.php");
 
     // Register the GET variables.
-    if (isset($HTTP_GET_VARS["id"])) {
-       $mail_id = trim($HTTP_GET_VARS["id"]);
+    if (isset($_GET["id"])) {
+       $mail_id = trim($_GET["id"]);
     } else {
        header("Location: quarantine.php" . $sid);
     }
diff -u -x config.php maia/domainsettings.php maia.sterenborg.info/domainsettings.php
--- maia/domainsettings.php	2004-06-24 11:38:24.000000000 +0200
+++ maia.sterenborg.info/domainsettings.php	2005-10-21 22:43:15.000000000 +0200
@@ -84,8 +84,8 @@
     require_once ("./locale/$display_language/domainsettings.php");
 
     // A domain ID value *must* be supplied.
-    if (isset($HTTP_GET_VARS["domain"])) {
-       $domain_id = trim($HTTP_GET_VARS["domain"]);
+    if (isset($_GET["domain"])) {
+       $domain_id = trim($_GET["domain"]);
     } else {
        header("Location: admindomains.php" . $sid);
     }
diff -u -x config.php maia/falsenegative.php maia.sterenborg.info/falsenegative.php
--- maia/falsenegative.php	2004-01-21 16:54:42.000000000 +0100
+++ maia.sterenborg.info/falsenegative.php	2005-10-21 22:43:26.000000000 +0200
@@ -84,7 +84,7 @@
     require_once ("./locale/$display_language/falsenegative.php");
 
     // Register the GET variables.
-    $mail_id = trim($HTTP_GET_VARS["id"]);
+    $mail_id = trim($_GET["id"]);
 
     // Mark the item as Confirmed Spam
     $update = "UPDATE maia_mail_recipients SET type = 'C' " .
diff -u -x config.php maia/ham-cache.php maia.sterenborg.info/ham-cache.php
--- maia/ham-cache.php	2004-07-05 05:29:36.000000000 +0200
+++ maia.sterenborg.info/ham-cache.php	2005-10-21 22:43:38.000000000 +0200
@@ -94,8 +94,8 @@
         exit;
     }
 
-    if (isset($HTTP_GET_VARS["sort"])) {
-        $sort = strtoupper(trim($HTTP_GET_VARS["sort"]));
+    if (isset($_GET["sort"])) {
+        $sort = strtoupper(trim($_GET["sort"]));
         if (strlen($sort) == 2) {
             switch($sort[0]) {
                 case "X":
@@ -117,13 +117,13 @@
         }
     }
 
-    if (isset($HTTP_GET_VARS["offset"])) {
-        $offset = $HTTP_GET_VARS["offset"];
+    if (isset($_GET["offset"])) {
+        $offset = $_GET["offset"];
     } else {
         $offset = 0;
     }
 
-    foreach($HTTP_POST_VARS as $varname => $value) {
+    foreach($_POST as $varname => $value) {
         $formVars[$varname] = trim($value);
     }
 
@@ -181,7 +181,7 @@
               "AND maia_mail_recipients.recipient_id = ? " .
               "ORDER BY maia_mail." . $sort_column . " " . $sort_order;
 
-    if (isset($HTTP_POST_VARS["confirm"])) {
+    if (isset($_POST["confirm"])) {
     	$message = "";
     	$confirmed = 0;
     	$reported = 0;
diff -u -x config.php maia/header-quarantine.php maia.sterenborg.info/header-quarantine.php
--- maia/header-quarantine.php	2004-07-05 05:29:36.000000000 +0200
+++ maia.sterenborg.info/header-quarantine.php	2005-10-21 22:43:51.000000000 +0200
@@ -94,8 +94,8 @@
         exit;
     }
 
-    if (isset($HTTP_GET_VARS["sort"])) {
-        $sort = strtoupper(trim($HTTP_GET_VARS["sort"]));
+    if (isset($_GET["sort"])) {
+        $sort = strtoupper(trim($_GET["sort"]));
         if (strlen($sort) == 2) {
             switch($sort[0]) {
                 case "D":
@@ -116,13 +116,13 @@
         }
     }
 
-    if (isset($HTTP_GET_VARS["offset"])) {
-        $offset = $HTTP_GET_VARS["offset"];
+    if (isset($_GET["offset"])) {
+        $offset = $_GET["offset"];
     } else {
         $offset = 0;
     }
 
-    foreach($HTTP_POST_VARS as $varname => $value) {
+    foreach($_POST as $varname => $value) {
         $formVars[$varname] = trim($value);
     }
 
@@ -169,7 +169,7 @@
               "AND maia_mail_recipients.recipient_id = ? " .
               "ORDER BY maia_mail." . $sort_column . " " . $sort_order;
 
-    if (isset($HTTP_POST_VARS["confirm"])) {
+    if (isset($_POST["confirm"])) {
     	$message = "";
     	$rescued = 0;
     	$deleted = 0;
Common subdirectories: maia/images and maia.sterenborg.info/images
diff -u -x config.php maia/internal-init.php maia.sterenborg.info/internal-init.php
--- maia/internal-init.php	2004-03-08 00:56:22.000000000 +0100
+++ maia.sterenborg.info/internal-init.php	2005-10-21 22:44:03.000000000 +0200
@@ -79,8 +79,8 @@
     require_once ("smtp.php");
 
     // Determine the user's language preference
-    if (isset($HTTP_GET_VARS["lang"])) {
-       $display_language = trim($HTTP_GET_VARS["lang"]);
+    if (isset($_GET["lang"])) {
+       $display_language = trim($_GET["lang"]);
     } else {
        $display_language = $default_display_language;
     }
@@ -90,8 +90,8 @@
     require_once ("./locale/$display_language/internal-init.php");
 
     // Determine the user's character set preference
-    if (isset($HTTP_GET_VARS["charset"])) {
-        $html_charset = trim($HTTP_GET_VARS["charset"]);
+    if (isset($_GET["charset"])) {
+        $html_charset = trim($_GET["charset"]);
     } else {
         $html_charset = $default_charset;
     }
@@ -103,25 +103,25 @@
         exit();
     }
 
-    if (isset($HTTP_POST_VARS["submit"])) {
+    if (isset($_POST["submit"])) {
 
-        if (isset($HTTP_POST_VARS["your_email"])) {
-            $your_email = trim($HTTP_POST_VARS["your_email"]);
+        if (isset($_POST["your_email"])) {
+            $your_email = trim($_POST["your_email"]);
         } else {
             $your_email = "";
         }
-        if (isset($HTTP_POST_VARS["admin_email"])) {
-            $admin_email = trim($HTTP_POST_VARS["admin_email"]);
+        if (isset($_POST["admin_email"])) {
+            $admin_email = trim($_POST["admin_email"]);
         } else {
             $admin_email = "";
         }
-        if (isset($HTTP_POST_VARS["reminder_login_url"])) {
-            $reminder_login_url = trim($HTTP_POST_VARS["reminder_login_url"]);
+        if (isset($_POST["reminder_login_url"])) {
+            $reminder_login_url = trim($_POST["reminder_login_url"]);
         } else {
             $reminder_login_url = "";
         }
-        if (isset($HTTP_POST_VARS["newuser_template_file"])) {
-            $newuser_template_file = trim($HTTP_POST_VARS["newuser_template_file"]);
+        if (isset($_POST["newuser_template_file"])) {
+            $newuser_template_file = trim($_POST["newuser_template_file"]);
         } else {
             $newuser_template_file = "";
         }
Common subdirectories: maia/locale and maia.sterenborg.info/locale
diff -u -x config.php maia/login.php maia.sterenborg.info/login.php
--- maia/login.php	2004-03-03 12:21:20.000000000 +0100
+++ maia.sterenborg.info/login.php	2005-10-21 22:44:13.000000000 +0200
@@ -77,15 +77,15 @@
    require_once ("display.php");
 
    // Get any special variables from the GET array
-   if (isset($HTTP_GET_VARS["super"])) {
-      $super = trim($HTTP_GET_VARS["super"]);
+   if (isset($_GET["super"])) {
+      $super = trim($_GET["super"]);
    } else {
       $super = "";
    }
 
    // Determine the user's language preference
-   if (isset($HTTP_GET_VARS["lang"])) {
-      $display_language = trim($HTTP_GET_VARS["lang"]);
+   if (isset($_GET["lang"])) {
+      $display_language = trim($_GET["lang"]);
    } else {
       $display_language = $default_display_language;
    }
@@ -94,8 +94,8 @@
    require_once ("./locale/$display_language/login.php");
 
    // Determine the user's character set preference
-   if (isset($HTTP_GET_VARS["charset"])) {
-       $html_charset = trim($HTTP_GET_VARS["charset"]);
+   if (isset($_GET["charset"])) {
+       $html_charset = trim($_GET["charset"]);
    } else {
        $html_charset = $default_charset;
    }
diff -u -x config.php maia/settings.php maia.sterenborg.info/settings.php
--- maia/settings.php	2004-05-19 00:08:23.000000000 +0200
+++ maia.sterenborg.info/settings.php	2005-10-21 22:44:27.000000000 +0200
@@ -95,8 +95,8 @@
     	$domain_id = get_domain_id($domain_name);
     }
 
-    if (isset($HTTP_GET_VARS["addid"])) {
-       $address_id = trim($HTTP_GET_VARS["addid"]);
+    if (isset($_GET["addid"])) {
+       $address_id = trim($_GET["addid"]);
        if (get_email_address_owner($address_id) != $euid) {
            $address_id = 0;
        }
diff -u -x config.php maia/spam-quarantine.php maia.sterenborg.info/spam-quarantine.php
--- maia/spam-quarantine.php	2004-07-05 05:29:36.000000000 +0200
+++ maia.sterenborg.info/spam-quarantine.php	2005-10-21 22:44:42.000000000 +0200
@@ -94,8 +94,8 @@
         exit;
     }
 
-    if (isset($HTTP_GET_VARS["sort"])) {
-        $sort = strtoupper(trim($HTTP_GET_VARS["sort"]));
+    if (isset($_GET["sort"])) {
+        $sort = strtoupper(trim($_GET["sort"]));
         if (strlen($sort) == 2) {
             switch($sort[0]) {
                 case "X":
@@ -117,13 +117,13 @@
         }
     }
 
-    if (isset($HTTP_GET_VARS["offset"])) {
-        $offset = $HTTP_GET_VARS["offset"];
+    if (isset($_GET["offset"])) {
+        $offset = $_GET["offset"];
     } else {
         $offset = 0;
     }
 
-    foreach($HTTP_POST_VARS as $varname => $value) {
+    foreach($_POST as $varname => $value) {
         $formVars[$varname] = trim($value);
     }
 
@@ -181,7 +181,7 @@
               "AND maia_mail_recipients.recipient_id = ? " .
               "ORDER BY maia_mail." . $sort_column . " " . $sort_order;
 
-    if (isset($HTTP_POST_VARS["confirm"])) {
+    if (isset($_POST["confirm"])) {
     	$message = "";
     	$confirmed = 0;
     	$rescued = 0;
diff -u -x config.php maia/stats.php maia.sterenborg.info/stats.php
--- maia/stats.php	2004-01-21 16:54:42.000000000 +0100
+++ maia.sterenborg.info/stats.php	2005-10-21 22:44:53.000000000 +0200
@@ -83,8 +83,8 @@
     require_once ("./locale/$display_language/display.php");
     require_once ("./locale/$display_language/stats.php");
 
-    if (isset($HTTP_GET_VARS["id"])) {
-        $id = trim($HTTP_GET_VARS["id"]);
+    if (isset($_GET["id"])) {
+        $id = trim($_GET["id"]);
         if (($id != 0) && (!is_an_administrator($uid))) {
             $id = $euid;
         }
diff -u -x config.php maia/viewmail.php maia.sterenborg.info/viewmail.php
--- maia/viewmail.php	2004-02-19 12:42:42.000000000 +0100
+++ maia.sterenborg.info/viewmail.php	2005-10-21 22:45:19.000000000 +0200
@@ -93,18 +93,18 @@
        header("Location: stats.php" . $sid);
        exit;
    }
-   if (isset($HTTP_GET_VARS["id"])) {
-      $id = intval($HTTP_GET_VARS["id"]);
+   if (isset($_GET["id"])) {
+      $id = intval($_GET["id"]);
    } else {
       header("Location: quarantine.php" . $sid);
    }
-   if (isset($HTTP_GET_VARS["type"])) {
-      $type = trim($HTTP_GET_VARS["type"]);
+   if (isset($_GET["type"])) {
+      $type = trim($_GET["type"]);
    } else {
       $type = "";
    }
-   if (isset($HTTP_GET_VARS["raw"])) {
-      $raw = (trim($HTTP_GET_VARS["raw"]) == "y");
+   if (isset($_GET["raw"])) {
+      $raw = (trim($_GET["raw"]) == "y");
    } else {
       $raw = false;
    }
diff -u -x config.php maia/virus-quarantine.php maia.sterenborg.info/virus-quarantine.php
--- maia/virus-quarantine.php	2004-07-05 05:29:36.000000000 +0200
+++ maia.sterenborg.info/virus-quarantine.php	2005-10-21 22:45:28.000000000 +0200
@@ -95,8 +95,8 @@
         exit;
     }
 
-    if (isset($HTTP_GET_VARS["sort"])) {
-        $sort = strtoupper(trim($HTTP_GET_VARS["sort"]));
+    if (isset($_GET["sort"])) {
+        $sort = strtoupper(trim($_GET["sort"]));
         if (strlen($sort) == 2) {
             switch($sort[0]) {
                 case "D":
@@ -117,13 +117,13 @@
         }
     }
 
-    if (isset($HTTP_GET_VARS["offset"])) {
-        $offset = $HTTP_GET_VARS["offset"];
+    if (isset($_GET["offset"])) {
+        $offset = $_GET["offset"];
     } else {
         $offset = 0;
     }
 
-    foreach($HTTP_POST_VARS as $varname => $value) {
+    foreach($_POST as $varname => $value) {
         $formVars[$varname] = trim($value);
     }
 
@@ -170,7 +170,7 @@
               "AND maia_mail_recipients.recipient_id = ? " .
               "ORDER BY maia_mail." . $sort_column . " " . $sort_order;
 
-    if (isset($HTTP_POST_VARS["confirm"])) {
+    if (isset($_POST["confirm"])) {
     	$message = "";
     	$rescued = 0;
     	$deleted = 0;
diff -u -x config.php maia/welcome.php maia.sterenborg.info/welcome.php
--- maia/welcome.php	2004-01-29 02:58:32.000000000 +0100
+++ maia.sterenborg.info/welcome.php	2005-10-21 22:45:40.000000000 +0200
@@ -83,8 +83,8 @@
     require_once ("./locale/$display_language/display.php");
     require_once ("./locale/$display_language/stats.php");
 
-    if (isset($HTTP_GET_VARS["id"])) {
-        $id = trim($HTTP_GET_VARS["id"]);
+    if (isset($_GET["id"])) {
+        $id = trim($_GET["id"]);
         if (($id != 0) && (!is_an_administrator($uid))) {
             $id = $euid;
         }
diff -u -x config.php maia/xadmindomains.php maia.sterenborg.info/xadmindomains.php
--- maia/xadmindomains.php	2004-01-31 19:59:11.000000000 +0100
+++ maia.sterenborg.info/xadmindomains.php	2005-10-20 21:37:18.000000000 +0200
@@ -85,11 +85,11 @@
     }
 
     // Find out which button we pushed to get here
-    if (isset($HTTP_POST_VARS["adddomain"])) {
+    if (isset($_POST["adddomain"])) {
 
     	// Don't trust the admin to have remembered to
     	// start the domain with '@'.
-    	$domain_name = strtolower(trim($HTTP_POST_VARS["newdomain"]));
+    	$domain_name = strtolower(trim($_POST["newdomain"]));
     	if (!preg_match("/^@.*$/", $domain_name)) {
     	    $domain_name = "@" . $domain_name;
     	}
@@ -199,10 +199,10 @@
 
     	}
 
-    } elseif (isset($HTTP_POST_VARS["delete"])) {
+    } elseif (isset($_POST["delete"])) {
 
         // Register the full set of POST variables.
-        foreach($HTTP_POST_VARS as $varname => $value)
+        foreach($_POST as $varname => $value)
         {
             $formVars[$varname] = trim($value);
         }
diff -u -x config.php maia/xadminlanguages.php maia.sterenborg.info/xadminlanguages.php
--- maia/xadminlanguages.php	2004-07-01 02:25:34.000000000 +0200
+++ maia.sterenborg.info/xadminlanguages.php	2005-10-20 21:37:29.000000000 +0200
@@ -84,9 +84,9 @@
     }
 
     // Find out which button we pushed to get here
-    if (isset($HTTP_POST_VARS["install"])) {
+    if (isset($_POST["install"])) {
 
-    	$lang_abbrev = strtolower(trim($HTTP_POST_VARS["language"]));
+    	$lang_abbrev = strtolower(trim($_POST["language"]));
 
     	// Make sure the language files are actually installed
         $lang_dir = getcwd();
@@ -104,10 +104,10 @@
         }
         $d->close();
 
-    } elseif (isset($HTTP_POST_VARS["uninstall"])) {
+    } elseif (isset($_POST["uninstall"])) {
 
         // Register the full set of POST variables.
-        foreach($HTTP_POST_VARS as $varname => $value)
+        foreach($_POST as $varname => $value)
         {
             $formVars[$varname] = trim($value);
         }
diff -u -x config.php maia/xadminstats.php maia.sterenborg.info/xadminstats.php
--- maia/xadminstats.php	2004-01-21 16:54:42.000000000 +0100
+++ maia.sterenborg.info/xadminstats.php	2005-10-20 21:37:38.000000000 +0200
@@ -96,7 +96,7 @@
     }
 
     // Find out which button we pushed to get here
-    if (isset($HTTP_POST_VARS["reset_users"])) {
+    if (isset($_POST["reset_users"])) {
     	$delete = "DELETE FROM maia_stats";
     	$dbh->query($delete);
     	$select = "SELECT id FROM maia_users";
@@ -107,15 +107,15 @@
     	}
     	$sth->free();
         $message = $lang_text_all_users_reset;
-    } elseif (isset($HTTP_POST_VARS["reset_viruses"])) {
+    } elseif (isset($_POST["reset_viruses"])) {
     	$update = "UPDATE maia_viruses SET count = 0";
     	$dbh->query($update);
         $message = $lang_text_all_viruses_reset;
-    } elseif (isset($HTTP_POST_VARS["reset_rules"])) {
+    } elseif (isset($_POST["reset_rules"])) {
     	$update = "UPDATE maia_sa_rules SET rule_count = 0";
     	$dbh->query($update);
         $message = $lang_text_all_rules_reset;
-    } elseif (isset($HTTP_POST_VARS["reset_all"])) {
+    } elseif (isset($_POST["reset_all"])) {
     	$delete = "DELETE FROM maia_stats";
     	$dbh->query($delete);
     	$select = "SELECT id FROM maia_users";
diff -u -x config.php maia/xadminsystem.php maia.sterenborg.info/xadminsystem.php
--- maia/xadminsystem.php	2004-06-30 08:36:25.000000000 +0200
+++ maia.sterenborg.info/xadminsystem.php	2005-10-20 21:37:51.000000000 +0200
@@ -83,7 +83,7 @@
        exit();
     }
 
-    foreach($HTTP_POST_VARS as $varname => $value)
+    foreach($_POST as $varname => $value)
     {
         $formVars[$varname] = trim($value);
     }
diff -u -x config.php maia/xadminusers.php maia.sterenborg.info/xadminusers.php
--- maia/xadminusers.php	2004-03-03 12:26:21.000000000 +0100
+++ maia.sterenborg.info/xadminusers.php	2005-10-20 21:38:01.000000000 +0200
@@ -95,16 +95,16 @@
     $super = is_superadmin($uid);
 
     // Find out which button we pushed to get here
-    if (isset($HTTP_POST_VARS["button_add"])) {
+    if (isset($_POST["button_add"])) {
 
         display_html_head($lang_banner_subtitle, $display_language, $html_charset);
         display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
         print("<div align=\"center\">\n");
         print("<table border=\"0\" cellspacing=\"2\" cellpadding=\"2\">\n");
         print("<tr><td align=\"center\" class=\"messagebox\">");
-        if (isset($HTTP_POST_VARS["new_email"])) {
+        if (isset($_POST["new_email"])) {
 
-            $new_email = trim($HTTP_POST_VARS["new_email"]);
+            $new_email = trim($_POST["new_email"]);
 
             // Rewrite the e-mail address as necessary for POP3/IMAP, to make
             // it match the routing address provided by the MTA-RX.
@@ -199,17 +199,17 @@
         print("</div>\n");
         display_html_foot();
 
-    } elseif (isset($HTTP_POST_VARS["button_delete_email"])) {
+    } elseif (isset($_POST["button_delete_email"])) {
 
         display_html_head($lang_banner_subtitle, $display_language, $html_charset);
         display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
         print("<div align=\"center\">\n");
         print("<table border=\"0\" cellspacing=\"2\" cellpadding=\"2\">\n");
         print("<tr><td align=\"center\" class=\"messagebox\">");
-        if (isset($HTTP_POST_VARS["delete_email"])) {
+        if (isset($_POST["delete_email"])) {
 
             // Note that $delete_email is an array
-            $delete_email = $HTTP_POST_VARS["delete_email"];
+            $delete_email = $_POST["delete_email"];
 
             $delete_failed = false;
             foreach ($delete_email as $email_id) {
@@ -253,17 +253,17 @@
         print("</div>\n");
         display_html_foot();
 
-    } elseif (isset($HTTP_POST_VARS["button_delete_user"])) {
+    } elseif (isset($_POST["button_delete_user"])) {
 
         display_html_head($lang_banner_subtitle, $display_language, $html_charset);
         display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
         print("<div align=\"center\">\n");
         print("<table border=\"0\" cellspacing=\"2\" cellpadding=\"2\">\n");
         print("<tr><td align=\"center\" class=\"messagebox\">");
-        if (isset($HTTP_POST_VARS["del_user"])) {
+        if (isset($_POST["del_user"])) {
 
             // Note that $del_user is an array
-            $delete_user = $HTTP_POST_VARS["del_user"];
+            $delete_user = $_POST["del_user"];
 
             foreach ($delete_user as $user_id) {
             	if (!is_a_domain_default_user($user_id)) {
@@ -282,17 +282,17 @@
         print("</div>\n");
         display_html_foot();
 
-    } elseif (isset($HTTP_POST_VARS["button_link"])) {
+    } elseif (isset($_POST["button_link"])) {
 
         display_html_head($lang_banner_subtitle, $display_language, $html_charset);
         display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
         print("<div align=\"center\">\n");
         print("<table border=\"0\" cellspacing=\"2\" cellpadding=\"2\">\n");
-        if (isset($HTTP_POST_VARS["email"]) && isset($HTTP_POST_VARS["user"])) {
+        if (isset($_POST["email"]) && isset($_POST["user"])) {
 
             // Note that $email is an array
-            $email = $HTTP_POST_VARS["email"];
-            $new_owner_id = trim($HTTP_POST_VARS["user"]);
+            $email = $_POST["email"];
+            $new_owner_id = trim($_POST["user"]);
             foreach ($email as $address_id) {
             	$old_owner_id = get_email_address_owner($address_id);
             	$email_address = get_email_address_by_id($address_id);
@@ -315,14 +315,14 @@
         print("</div>\n");
         display_html_foot();
 
-    } elseif (isset($HTTP_POST_VARS["button_find"])) {
+    } elseif (isset($_POST["button_find"])) {
 
         display_html_head($lang_banner_subtitle, $display_language, $html_charset);
         display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
         print("<div align=\"center\">\n");
         print("<table border=\"0\" cellspacing=\"2\" cellpadding=\"2\" width=\"600\">\n");
-        if (isset($HTTP_POST_VARS["lookup"])) {
-            $lookup = trim($HTTP_POST_VARS["lookup"]);
+        if (isset($_POST["lookup"])) {
+            $lookup = trim($_POST["lookup"]);
             $lookup = str_replace("*", ".*", $lookup);
             $lookup = "/^" . $lookup . "$/";
 
diff -u -x config.php maia/xadminviruses.php maia.sterenborg.info/xadminviruses.php
--- maia/xadminviruses.php	2004-01-21 16:54:42.000000000 +0100
+++ maia.sterenborg.info/xadminviruses.php	2005-10-20 21:38:10.000000000 +0200
@@ -84,10 +84,10 @@
     }
 
     // Find out which button we pushed to get here
-    if (isset($HTTP_POST_VARS["add"])) {
+    if (isset($_POST["add"])) {
 
-    	$virus = trim($HTTP_POST_VARS["virus"]);
-    	$alias = trim($HTTP_POST_VARS["alias"]);
+    	$virus = trim($_POST["virus"]);
+    	$alias = trim($_POST["alias"]);
 
     	// Make sure we're not aliasing the virus to itself
     	if ($virus <> $alias) {
@@ -134,10 +134,10 @@
     	    $sth->free();
         }
 
-    } elseif (isset($HTTP_POST_VARS["delete"])) {
+    } elseif (isset($_POST["delete"])) {
 
         // Register the full set of POST variables.
-        foreach($HTTP_POST_VARS as $varname => $value)
+        foreach($_POST as $varname => $value)
         {
             $formVars[$varname] = trim($value);
         }
diff -u -x config.php maia/xdomainsettings.php maia.sterenborg.info/xdomainsettings.php
--- maia/xdomainsettings.php	2004-06-24 11:38:24.000000000 +0200
+++ maia.sterenborg.info/xdomainsettings.php	2005-10-20 21:38:23.000000000 +0200
@@ -85,8 +85,8 @@
     require_once ("./locale/$display_language/auth.php");
     require_once ("./locale/$display_language/domainsettings.php"); // shared with domainsettings.php
 
-    if (isset($HTTP_POST_VARS["domain_id"])) {
-        $domain_id = trim($HTTP_POST_VARS["domain_id"]);
+    if (isset($_POST["domain_id"])) {
+        $domain_id = trim($_POST["domain_id"]);
     } else {
     	$domain_id = 0;
     }
@@ -102,8 +102,8 @@
     $super = is_superadmin($uid);
 
     // Find out which button we pressed to get here
-    if (isset($HTTP_POST_VARS["submit"])) {
-        $button = trim($HTTP_POST_VARS["submit"]);
+    if (isset($_POST["submit"])) {
+        $button = trim($_POST["submit"]);
         $button = stripslashes($button);
     } else {
         $button = "";
@@ -123,8 +123,8 @@
         }
         $sth->free();
 
-        if (isset($HTTP_POST_VARS["policy"])) {
-            $policy_id = trim($HTTP_POST_VARS["policy"]);
+        if (isset($_POST["policy"])) {
+            $policy_id = trim($_POST["policy"]);
         } else {
             $policy_id = 0;
         }
@@ -178,73 +178,73 @@
         }
         $sth->free();
 
-        if (isset($HTTP_POST_VARS["viruses"])) {
-            $viruses = trim($HTTP_POST_VARS["viruses"]);
+        if (isset($_POST["viruses"])) {
+            $viruses = trim($_POST["viruses"]);
         } else {
             $viruses = ($default_virus_scanning ? "yes" : "no");
         }
-        if (isset($HTTP_POST_VARS["virus_destiny"])) {
-            $virus_destiny = trim($HTTP_POST_VARS["virus_destiny"]);
+        if (isset($_POST["virus_destiny"])) {
+            $virus_destiny = trim($_POST["virus_destiny"]);
         } else {
             $virus_destiny = ($default_quarantine_viruses ? ($default_discard_viruses ? "discard" : "quarantine") : "label");
         }
-        if (isset($HTTP_POST_VARS["spam"])) {
-            $spam = trim($HTTP_POST_VARS["spam"]);
+        if (isset($_POST["spam"])) {
+            $spam = trim($_POST["spam"]);
         } else {
             $spam = ($default_spam_filtering ? "yes" : "no");
         }
-        if (isset($HTTP_POST_VARS["spam_destiny"])) {
-            $spam_destiny = trim($HTTP_POST_VARS["spam_destiny"]);
+        if (isset($_POST["spam_destiny"])) {
+            $spam_destiny = trim($_POST["spam_destiny"]);
         } else {
             $spam_destiny = ($default_quarantine_spam ? ($default_discard_spam ? "discard" : "quarantine") : "label");
         }
-        if (isset($HTTP_POST_VARS["banned"])) {
-            $banned = trim($HTTP_POST_VARS["banned"]);
+        if (isset($_POST["banned"])) {
+            $banned = trim($_POST["banned"]);
         } else {
             $banned = ($default_banned_files_checking ? "yes" : "no");
         }
-        if (isset($HTTP_POST_VARS["banned_destiny"])) {
-            $banned_destiny = trim($HTTP_POST_VARS["banned_destiny"]);
+        if (isset($_POST["banned_destiny"])) {
+            $banned_destiny = trim($_POST["banned_destiny"]);
         } else {
             $banned_destiny = ($default_quarantine_banned_files ? ($default_discard_banned_files ? "discard" : "quarantine") : "label");
         }
-        if (isset($HTTP_POST_VARS["headers"])) {
-            $headers = trim($HTTP_POST_VARS["headers"]);
+        if (isset($_POST["headers"])) {
+            $headers = trim($_POST["headers"]);
         } else {
             $headers = ($default_bad_header_checking ? "yes" : "no");
         }
-        if (isset($HTTP_POST_VARS["headers_destiny"])) {
-            $headers_destiny = trim($HTTP_POST_VARS["headers_destiny"]);
+        if (isset($_POST["headers_destiny"])) {
+            $headers_destiny = trim($_POST["headers_destiny"]);
         } else {
             $headers_destiny = ($default_quarantine_bad_headers ? ($default_discard_bad_headers ? "discard" : "quarantine") : "label");
         }
-        if (isset($HTTP_POST_VARS["modify_subject"])) {
-            $modify_subject = trim($HTTP_POST_VARS["modify_subject"]);
+        if (isset($_POST["modify_subject"])) {
+            $modify_subject = trim($_POST["modify_subject"]);
         } else {
             $modify_subject = ($default_modify_subject ? "yes" : "no");
         }
-        if (isset($HTTP_POST_VARS["level1"])) {
-            $level1 = trim($HTTP_POST_VARS["level1"]);
+        if (isset($_POST["level1"])) {
+            $level1 = trim($_POST["level1"]);
         } else {
             $level1 = $default_score_level_1;
         }
-        if (isset($HTTP_POST_VARS["level2"])) {
-            $level2 = trim($HTTP_POST_VARS["level2"]);
+        if (isset($_POST["level2"])) {
+            $level2 = trim($_POST["level2"]);
         } else {
             $level2 = $default_score_level_2;
         }
-        if (isset($HTTP_POST_VARS["level3"])) {
-            $level3 = trim($HTTP_POST_VARS["level3"]);
+        if (isset($_POST["level3"])) {
+            $level3 = trim($_POST["level3"]);
         } else {
             $level3 = $default_score_level_3;
         }
-        if (isset($HTTP_POST_VARS["discard_ham"])) {
-            $discard_ham = trim($HTTP_POST_VARS["discard_ham"]);
+        if (isset($_POST["discard_ham"])) {
+            $discard_ham = trim($_POST["discard_ham"]);
         } else {
             $discard_ham = ($default_discard_ham ? "discard" : "cache");
         }
-        if (isset($HTTP_POST_VARS["enable_user_autocreation"])) {
-            $enable_user_autocreation = trim($HTTP_POST_VARS["enable_user_autocreation"]);
+        if (isset($_POST["enable_user_autocreation"])) {
+            $enable_user_autocreation = trim($_POST["enable_user_autocreation"]);
         } else {
             $enable_user_autocreation = ($default_enable_user_autocreation ? "yes" : "no");
         }
@@ -331,7 +331,7 @@
     } elseif ($super && ($button == $lang_button_revoke)) {
 
         // Register the full set of POST variables.
-        foreach($HTTP_POST_VARS as $varname => $value)
+        foreach($_POST as $varname => $value)
         {
             $formVars[$varname] = trim($value);
         }
@@ -375,8 +375,8 @@
     } elseif ($super && ($button == $lang_button_grant)) {
 
         // Note that $admins is an array
-        if (isset($HTTP_POST_VARS["administrators"])) {
-            $admins = $HTTP_POST_VARS["administrators"];
+        if (isset($_POST["administrators"])) {
+            $admins = $_POST["administrators"];
 
             foreach ($admins as $admin_id) {
 
diff -u -x config.php maia/ximpersonate.php maia.sterenborg.info/ximpersonate.php
--- maia/ximpersonate.php	2004-01-21 16:54:42.000000000 +0100
+++ maia.sterenborg.info/ximpersonate.php	2005-10-21 22:45:50.000000000 +0200
@@ -83,7 +83,7 @@
         exit();
     }
 
-    $id = trim($HTTP_GET_VARS["id"]);
+    $id = trim($_GET["id"]);
 
     // Trivial sanity check for invalid UID;
     // should probably be more thorough.
diff -u -x config.php maia/xlogin.php maia.sterenborg.info/xlogin.php
--- maia/xlogin.php	2004-03-03 12:21:20.000000000 +0100
+++ maia.sterenborg.info/xlogin.php	2005-10-20 21:40:08.000000000 +0200
@@ -81,39 +81,39 @@
 
 
    // Get the expected form variables from the POST array
-   if (isset($HTTP_POST_VARS["language"])) {
-      $display_language = trim($HTTP_POST_VARS["language"]);
+   if (isset($_POST["language"])) {
+      $display_language = trim($_POST["language"]);
    } else {
       $display_language = $default_display_language;
    }
-   if (isset($HTTP_POST_VARS["charset"])) {
-      $html_charset = trim($HTTP_POST_VARS["charset"]);
+   if (isset($_POST["charset"])) {
+      $html_charset = trim($_POST["charset"]);
    } else {
       $html_charset = $default_charset;
    }
-   if (isset($HTTP_POST_VARS["username"])) {
-      $user_name = trim($HTTP_POST_VARS["username"]);
+   if (isset($_POST["username"])) {
+      $user_name = trim($_POST["username"]);
    } else {
       $user_name = "";
    }
-   if (isset($HTTP_POST_VARS["pwd"])) {
-      $pwd = trim($HTTP_POST_VARS["pwd"]);
+   if (isset($_POST["pwd"])) {
+      $pwd = trim($_POST["pwd"]);
       $pwd = stripslashes($pwd); // get rid of any escape characters
    } else {
       $pwd = "";
    }
-   if (isset($HTTP_POST_VARS["domain"])) {
-      $nt_domain = trim($HTTP_POST_VARS["domain"]);
+   if (isset($_POST["domain"])) {
+      $nt_domain = trim($_POST["domain"]);
    } else {
       $nt_domain = "";
    }
-   if (isset($HTTP_POST_VARS["address"])) {
-      $address = trim($HTTP_POST_VARS["address"]);
+   if (isset($_POST["address"])) {
+      $address = trim($_POST["address"]);
    } else {
       $address = "";
    }
-   if (isset($HTTP_POST_VARS["super"])) {
-      $super = trim($HTTP_POST_VARS["super"]);
+   if (isset($_POST["super"])) {
+      $super = trim($_POST["super"]);
    } else {
       $super = "";
    }
diff -u -x config.php maia/xquarantine.php maia.sterenborg.info/xquarantine.php
--- maia/xquarantine.php	2004-01-21 16:54:42.000000000 +0100
+++ maia.sterenborg.info/xquarantine.php	2005-10-20 21:38:30.000000000 +0200
@@ -84,13 +84,13 @@
    require_once ("./locale/$display_language/quarantine.php"); // shared with quarantine.php
 
    // Register the submit button values from the POST array.
-   if (isset($HTTP_POST_VARS["submit"])) {
-      $button = trim($HTTP_POST_VARS["submit"]);
+   if (isset($_POST["submit"])) {
+      $button = trim($_POST["submit"]);
    } else {
       $button = "";
    }
-   if (isset($HTTP_POST_VARS["maxitemid"])) {
-      $maxitemid = $HTTP_POST_VARS["maxitemid"];
+   if (isset($_POST["maxitemid"])) {
+      $maxitemid = $_POST["maxitemid"];
    } else {
       $maxitemid = 0;
    }
diff -u -x config.php maia/xreportspam.php maia.sterenborg.info/xreportspam.php
--- maia/xreportspam.php	2004-01-22 01:43:02.000000000 +0100
+++ maia.sterenborg.info/xreportspam.php	2005-10-20 21:38:43.000000000 +0200
@@ -84,13 +84,13 @@
    require_once ("./locale/$display_language/reportspam.php"); // shared with reportspam.php
 
    // Register the submit button values from the POST array.
-   if (isset($HTTP_POST_VARS["submit"])) {
-      $button = trim($HTTP_POST_VARS["submit"]);
+   if (isset($_POST["submit"])) {
+      $button = trim($_POST["submit"]);
    } else {
       $button = "";
    }
-   if (isset($HTTP_POST_VARS["maxitemid"])) {
-      $maxitemid = $HTTP_POST_VARS["maxitemid"];
+   if (isset($_POST["maxitemid"])) {
+      $maxitemid = $_POST["maxitemid"];
    } else {
       $maxitemid = 0;
    }
diff -u -x config.php maia/xsettings.php maia.sterenborg.info/xsettings.php
--- maia/xsettings.php	2004-06-24 11:39:04.000000000 +0200
+++ maia.sterenborg.info/xsettings.php	2005-10-21 22:48:00.000000000 +0200
@@ -85,8 +85,8 @@
     require_once ("./locale/$display_language/settings.php"); // shared with settings.php
 
     // Find out which button we pressed to get here
-    if (isset($HTTP_POST_VARS["submit"])) {
-        $button = trim($HTTP_POST_VARS["submit"]);
+    if (isset($_POST["submit"])) {
+        $button = trim($_POST["submit"]);
         $button = stripslashes($button);
     } else {
         $button = "";
@@ -108,8 +108,8 @@
     if ($button == $lang_button_update_address ||
         $button == $lang_button_update_all_addresses) {
 
-        if (isset($HTTP_POST_VARS["policy"])) {
-            $policy_id = trim($HTTP_POST_VARS["policy"]);
+        if (isset($_POST["policy"])) {
+            $policy_id = trim($_POST["policy"]);
         } else {
             $policy_id = 0;
         }
@@ -152,63 +152,63 @@
         }
         $sth->free();
 
-        if (isset($HTTP_POST_VARS["viruses"])) {
-            $viruses = trim($HTTP_POST_VARS["viruses"]);
+        if (isset($_POST["viruses"])) {
+            $viruses = trim($_POST["viruses"]);
         } else {
             $viruses = ($default_virus_scanning ? "yes" : "no");
         }
-        if (isset($HTTP_POST_VARS["virus_destiny"])) {
-            $virus_destiny = trim($HTTP_POST_VARS["virus_destiny"]);
+        if (isset($_POST["virus_destiny"])) {
+            $virus_destiny = trim($_POST["virus_destiny"]);
         } else {
             $virus_destiny = ($default_quarantine_viruses ? ($default_discard_viruses ? "discard" : "quarantine") : "label");
         }
-        if (isset($HTTP_POST_VARS["spam"])) {
-            $spam = trim($HTTP_POST_VARS["spam"]);
+        if (isset($_POST["spam"])) {
+            $spam = trim($_POST["spam"]);
         } else {
             $spam = ($default_spam_filtering ? "yes" : "no");
         }
-        if (isset($HTTP_POST_VARS["spam_destiny"])) {
-            $spam_destiny = trim($HTTP_POST_VARS["spam_destiny"]);
+        if (isset($_POST["spam_destiny"])) {
+            $spam_destiny = trim($_POST["spam_destiny"]);
         } else {
             $spam_destiny = ($default_quarantine_spam ? ($default_discard_spam ? "discard" : "quarantine") : "label");
         }
-        if (isset($HTTP_POST_VARS["banned"])) {
-            $banned = trim($HTTP_POST_VARS["banned"]);
+        if (isset($_POST["banned"])) {
+            $banned = trim($_POST["banned"]);
         } else {
             $banned = ($default_banned_files_checking ? "yes" : "no");
         }
-        if (isset($HTTP_POST_VARS["banned_destiny"])) {
-            $banned_destiny = trim($HTTP_POST_VARS["banned_destiny"]);
+        if (isset($_POST["banned_destiny"])) {
+            $banned_destiny = trim($_POST["banned_destiny"]);
         } else {
             $banned_destiny = ($default_quarantine_banned_files ? ($default_discard_banned_files ? "discard" : "quarantine") : "label");
         }
-        if (isset($HTTP_POST_VARS["headers"])) {
-            $headers = trim($HTTP_POST_VARS["headers"]);
+        if (isset($_POST["headers"])) {
+            $headers = trim($_POST["headers"]);
         } else {
             $headers = ($default_bad_header_checking ? "yes" : "no");
         }
-        if (isset($HTTP_POST_VARS["headers_destiny"])) {
-            $headers_destiny = trim($HTTP_POST_VARS["headers_destiny"]);
+        if (isset($_POST["headers_destiny"])) {
+            $headers_destiny = trim($_POST["headers_destiny"]);
         } else {
             $headers_destiny = ($default_quarantine_bad_headers ? ($default_discard_bad_headers ? "discard" : "quarantine") : "label");
         }
-        if (isset($HTTP_POST_VARS["modify_subject"])) {
-            $modify_subject = trim($HTTP_POST_VARS["modify_subject"]);
+        if (isset($_POST["modify_subject"])) {
+            $modify_subject = trim($_POST["modify_subject"]);
         } else {
             $modify_subject = ($default_modify_subject ? "yes" : "no");
         }
-        if (isset($HTTP_POST_VARS["level1"])) {
-            $level1 = trim($HTTP_POST_VARS["level1"]);
+        if (isset($_POST["level1"])) {
+            $level1 = trim($_POST["level1"]);
         } else {
             $level1 = $default_score_level_1;
         }
-        if (isset($HTTP_POST_VARS["level2"])) {
-            $level2 = trim($HTTP_POST_VARS["level2"]);
+        if (isset($_POST["level2"])) {
+            $level2 = trim($_POST["level2"]);
         } else {
             $level2 = $default_score_level_2;
         }
-        if (isset($HTTP_POST_VARS["level3"])) {
-            $level3 = trim($HTTP_POST_VARS["level3"]);
+        if (isset($_POST["level3"])) {
+            $level3 = trim($_POST["level3"]);
         } else {
             $level3 = $default_score_level_3;
         }
@@ -312,46 +312,46 @@
     // Pressed the "Update Miscellaneous Settings" button
     } elseif ($button == $lang_button_update_misc) {
 
-        if (isset($HTTP_POST_VARS["reminder"])) {
-            $reminder = (trim($HTTP_POST_VARS["reminder"]) == "yes" ? "Y" : "N");
+        if (isset($_POST["reminder"])) {
+            $reminder = (trim($_POST["reminder"]) == "yes" ? "Y" : "N");
             if ($reminder_threshold_count > 0) {
                 $update = "UPDATE maia_users SET reminders = ? WHERE id = ?";
                 $dbh->query($update, array($reminder, $euid));
             }
         }
-        if (isset($HTTP_POST_VARS["charts"])) {
-            $charts = (trim($HTTP_POST_VARS["charts"]) == "yes" ? "Y" : "N");
+        if (isset($_POST["charts"])) {
+            $charts = (trim($_POST["charts"]) == "yes" ? "Y" : "N");
             if ($enable_charts) {
                 $update = "UPDATE maia_users SET charts = ? WHERE id = ?";
                 $dbh->query($update, array($charts, $euid));
             }
         }
-        if (isset($HTTP_POST_VARS["spamtrap"])) {
-            $spamtrap = (trim($HTTP_POST_VARS["spamtrap"]) == "yes" ? "Y" : "N");
+        if (isset($_POST["spamtrap"])) {
+            $spamtrap = (trim($_POST["spamtrap"]) == "yes" ? "Y" : "N");
             if ($enable_spamtraps) {
                 $update = "UPDATE maia_users SET spamtrap = ? WHERE id = ?";
                 $dbh->query($update, array($spamtrap, $euid));
             }
         }
-        if (isset($HTTP_POST_VARS["auto_whitelist"])) {
-            $auto_whitelist = (trim($HTTP_POST_VARS["auto_whitelist"]) == "yes" ? "Y" : "N");
+        if (isset($_POST["auto_whitelist"])) {
+            $auto_whitelist = (trim($_POST["auto_whitelist"]) == "yes" ? "Y" : "N");
             $update = "UPDATE maia_users SET auto_whitelist = ? WHERE id = ?";
             $dbh->query($update, array($auto_whitelist, $euid));
         }
-        if (isset($HTTP_POST_VARS["items_per_page"])) {
-            $items_per_page = $HTTP_POST_VARS["items_per_page"];
+        if (isset($_POST["items_per_page"])) {
+            $items_per_page = $_POST["items_per_page"];
             $update = "UPDATE maia_users SET items_per_page = ? WHERE id = ?";
             $dbh->query($update, array($items_per_page, $euid));
         }
-        if (isset($HTTP_POST_VARS["language"])) {
-            $language = trim($HTTP_POST_VARS["language"]);
+        if (isset($_POST["language"])) {
+            $language = trim($_POST["language"]);
             $update = "UPDATE maia_users SET language = ? WHERE id = ?";
             $dbh->query($update, array($language, $euid));
             $display_language = $language;
             $_SESSION["display_language"] = $display_language;
         }
-        if (isset($HTTP_POST_VARS["charset"])) {
-            $charset = trim($HTTP_POST_VARS["charset"]);
+        if (isset($_POST["charset"])) {
+            $charset = trim($_POST["charset"]);
             $update = "UPDATE maia_users SET charset = ? WHERE id = ?";
             $dbh->query($update, array($charset, $euid));
             $html_charset = $charset;
@@ -363,19 +363,19 @@
     // Pressed the "Add E-Mail Address" button
     } elseif ($button == $lang_button_add_email_address) {
 
-        if (isset($HTTP_POST_VARS["login"])) {
-            $login = trim($HTTP_POST_VARS["login"]);
+        if (isset($_POST["login"])) {
+            $login = trim($_POST["login"]);
         } else {
             $login = "";
         }
-        if (isset($HTTP_POST_VARS["authpass"])) {
-            $password = trim($HTTP_POST_VARS["authpass"]);
+        if (isset($_POST["authpass"])) {
+            $password = trim($_POST["authpass"]);
             $password = stripslashes($password); // get rid of any escape characters
         } else {
             $password = "";
         }
-        if (isset($HTTP_POST_VARS["domain"])) {
-            $domain = trim($HTTP_POST_VARS["domain"]);
+        if (isset($_POST["domain"])) {
+            $domain = trim($_POST["domain"]);
         } else {
             $domain = "";
         }
@@ -407,18 +407,18 @@
     // Pressed the "Update Login Credentials" button
     } elseif ($button == $lang_button_change_login_info && $auth_method == "internal") {
 
-        if (isset($HTTP_POST_VARS["new_login_name"])) {
-            $new_login = trim($HTTP_POST_VARS["new_login_name"]);
+        if (isset($_POST["new_login_name"])) {
+            $new_login = trim($_POST["new_login_name"]);
         } else {
             $new_login = "";
         }
-        if (isset($HTTP_POST_VARS["new_password"])) {
-            $new_password = trim(stripslashes($HTTP_POST_VARS["new_password"]));
+        if (isset($_POST["new_password"])) {
+            $new_password = trim(stripslashes($_POST["new_password"]));
         } else {
             $new_password = "";
         }
-        if (isset($HTTP_POST_VARS["confirm_new_password"])) {
-            $confirm_new_password = trim(stripslashes($HTTP_POST_VARS["confirm_new_password"]));
+        if (isset($_POST["confirm_new_password"])) {
+            $confirm_new_password = trim(stripslashes($_POST["confirm_new_password"]));
         } else {
             $confirm_new_password = "";
         }
@@ -451,8 +451,8 @@
             $sth->free();
         }
 
-    } elseif (isset($HTTP_POST_VARS["user_id"])) {
-    	$user_id = trim($HTTP_POST_VARS["user_id"]);
+    } elseif (isset($_POST["user_id"])) {
+    	$user_id = trim($_POST["user_id"]);
         $select = "SELECT users.id, users.email " .
                   "FROM users, maia_users " .
                   "WHERE users.maia_user_id = maia_users.id " .
@@ -462,7 +462,7 @@
         while ($row = $sth->fetchrow()) {
             $email_id = $row["id"];
             $address = $row["email"];
-            if (isset($HTTP_POST_VARS["make_primary_" . $email_id])) {
+            if (isset($_POST["make_primary_" . $email_id])) {
                 $update = "UPDATE maia_users SET primary_email_id = ? WHERE id = ?";
                 $dbh->query($update, array($email_id, $user_id));
                 $message = sprintf($lang_text_new_primary_email, $address);
diff -u -x config.php maia/xwblist.php maia.sterenborg.info/xwblist.php
--- maia/xwblist.php	2004-01-31 23:56:05.000000000 +0100
+++ maia.sterenborg.info/xwblist.php	2005-10-21 22:46:46.000000000 +0200
@@ -84,20 +84,20 @@
    require_once ("./locale/$display_language/wblist.php"); // shared with wblist.php
 
    // Register the POST and GET variables.
-   if (isset($HTTP_POST_VARS["addaddress"])) {
-      $addaddress = trim($HTTP_POST_VARS["addaddress"]);
+   if (isset($_POST["addaddress"])) {
+      $addaddress = trim($_POST["addaddress"]);
    } else {
       $addaddress = "";
    }
-   if (isset($HTTP_POST_VARS["addchange"])) {
-      $addchange = trim($HTTP_POST_VARS["addchange"]);
+   if (isset($_POST["addchange"])) {
+      $addchange = trim($_POST["addchange"]);
    } else {
       $addchange = "";
    }
-   if (isset($HTTP_POST_VARS["newaddr"])) {       // from wblist.php
-      $newaddr = trim($HTTP_POST_VARS["newaddr"]);
-   } elseif (isset($HTTP_GET_VARS["newaddr"])) {  // from deliver.php
-      $newaddr = trim($HTTP_GET_VARS["newaddr"]);
+   if (isset($_POST["newaddr"])) {       // from wblist.php
+      $newaddr = trim($_POST["newaddr"]);
+   } elseif (isset($_GET["newaddr"])) {  // from deliver.php
+      $newaddr = trim($_GET["newaddr"]);
    } else {
       $newaddr = "";
    }
@@ -108,7 +108,7 @@
    if ($addaddress == $lang_button_add_to_list)
    {
       if ($newaddr != "") {
-      	 $list = trim($HTTP_POST_VARS["list"]);
+      	 $list = trim($_POST["list"]);
          add_address_to_wb_list($euid, $newaddr, $list);
       }
    }
@@ -117,7 +117,7 @@
    // settings.
    elseif ($addchange == $lang_button_update)
    {
-      foreach($HTTP_POST_VARS as $varname => $value)
+      foreach($_POST as $varname => $value)
       {
          $formVars[$varname] = trim($value);
       }

Change History

Changed 9 years ago by dmorton

This would boost the minimum requirements from php 4.0.2 to 4.1.0

This may be acceptable, but we need to discuss this.

Changed 9 years ago by rob@…

Well, I'll paste my 2cts here...
In the Maia source I see lines like :

    ...
    if (isset($HTTP_GET_VARS["sort"])) {
        $sort = strtoupper(trim($HTTP_GET_VARS["sort"]));
    ...

You could write something like this to still support PHP versions from 4.0.2 to current :

# globvar.inc
<?
function GetGlobal($varname) {
  if (phpversion()>="4.1.0") {
    if (isset($_GET[$varname])) $result=$_GET[$varname];
  } else {
    if (isset($HTTP_GET_VARS[$varname])) $result=$HTTP_GET_VARS[$varname];
  }
}
?>



# Some_Maia_File.php
<?
require "globvar.inc";
...
$sort = strtoupper(trim(GetGlobal("sort")));
...
?>

It would make some file shorter, but you'd have to rewrite a lot of PHP source to make Maia work again and comparing the PHP version everytime you need such variable could make things slower...

If boosting the requirement and rewriting the source to support the above are not an option then just supply a diff to support PHP5. It's easy enough to patch the Maia source.

Changed 9 years ago by dmorton

  • status changed from new to closed
  • resolution set to fixed

added to trunk in [875]

Note: See TracTickets for help on using tickets.